=== libDLTutils/Makefile ===
include ../make.inc

OBJECTS	= DLTutils.o

libDLTutils.a:		$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libDLTutils.a $(OBJECTS)
					$(RANLIB) libDLTutils.a

DLTutils.o:			DLTutils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c DLTutils.c

install:

clean:
					rm -f $(OBJECTS)
