=== libmsa/Makefile ===
include ../make.inc

OBJECTS	= msa.o

libmsa.a:			$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libmsa.a $(OBJECTS)
					$(RANLIB) libmsa.a

msa.o:				msa.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c msa.c

install:

clean:
					rm -f $(OBJECTS)
