=== debian/changelog ===
theseus (3.3.0-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Refer to specific version of license GPL-3+.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Tue, 24 Nov 2020 15:49:14 +0100

theseus (3.3.0-8) unstable; urgency=medium

  * Fix string buffer size
    Closes: #908459

 -- Andreas Tille <tille@debian.org>  Wed, 10 Oct 2018 08:04:34 +0200

theseus (3.3.0-7) unstable; urgency=medium

  [ Fabian Kloetzl ]
  * Team upload.
  * Fix string bugs uncovered by gcc8
    Closes: #908459

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Fabian Kloetzl <kloetzl@evolbio.mpg.de>  Mon, 10 Sep 2018 09:56:01 +0000

theseus (3.3.0-6) unstable; urgency=medium

  * Move packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * Use DEB_SOURCE in d/rules
  * Increase string length of string buffer to build with gcc-7
    Closes: #853681
  * Hardening

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 15:31:38 +0200

theseus (3.3.0-5) unstable; urgency=medium

  * Depends: muscle instead of Suggests since its usage in test suite
    seems to make this sensible.
  * cme fix dpkg-control
  * Remove Morten Kjeldgaard from uploaders who did not committed for 8 years
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2016 13:29:14 +0200

theseus (3.3.0-4) unstable; urgency=medium

  * Enable building arch independent packages separately
    Closes: #806223
  * Build against libgsl-dev (version 2) rather than libgsl0-dev
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2015 18:01:44 +0100

theseus (3.3.0-3) unstable; urgency=medium

  * Fix versioning which really
    Closes: #790515

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jul 2015 09:03:03 +0200

theseus (3.3.0-2) unstable; urgency=medium

  * Fix package split issue
    Closes: #790515

 -- Andreas Tille <tille@debian.org>  Wed, 01 Jul 2015 10:12:21 +0200

theseus (3.3.0-1) unstable; urgency=medium

  * New upstream version
  * Add missing license statement
    Closes: #790311

 -- Andreas Tille <tille@debian.org>  Sun, 28 Jun 2015 15:04:59 +0200

theseus (3.1.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Split examples into separate binary package
  * update debian/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 21 May 2015 16:53:46 +0200
