=== debian/control ===
Source: theseus
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgsl-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/theseus
Vcs-Git: https://salsa.debian.org/med-team/theseus.git
Homepage: http://www.theseus3d.org
Rules-Requires-Root: no

Package: theseus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         clustalo,
         muscle
Suggests: clustalw,
          mafft,
          t-coffee,
          kalign,
          dialign,
          probcons,
          theseus-examples
Description: superimpose macromolecules using maximum likelihood
 Theseus is a program that simultaneously superimposes multiple
 macromolecular structures. Theseus finds the optimal solution to the
 superposition problem using the method of maximum likelihood. By
 down-weighting variable regions of the superposition and by correcting for
 correlations among atoms, the ML superposition method produces very
 accurate structural alignments.
 .
 When macromolecules with different residue sequences are superimposed,
 other programs and algorithms discard residues that are aligned with
 gaps. Theseus, however, uses a novel superimposition algorithm that
 includes all of the data.

Package: theseus-examples
Architecture: all
Depends: ${misc:Depends}
Enhances: theseus
Description: superimpose macromolecules using maximum likelihood (examples)
 Theseus is a program that simultaneously superimposes multiple
 macromolecular structures. Theseus finds the optimal solution to the
 superposition problem using the method of maximum likelihood. By
 down-weighting variable regions of the superposition and by correcting for
 correlations among atoms, the ML superposition method produces very
 accurate structural alignments.
 .
 When macromolecules with different residue sequences are superimposed,
 other programs and algorithms discard residues that are aligned with
 gaps. Theseus, however, uses a novel superimposition algorithm that
 includes all of the data.
 .
 This package contains usage examples for theseus.
