=== debian/watch ===
version=4
http://www.theseus3d.org/index.html /src/theseus_(.*).tar.gz
